Error: Missing Dependency: perl (Convert :: ASN1) is needed by package samba- 3.0.33- 3.29. el5_6.2. i386 (updates)

Error: Missing Dependency: perl (Convert :: ASN1) is needed by package samba- 3.0.33- 3.29. el5_6.2. i386 (updates)

Error: Missing Dependency: perl(Convert::ASN1) is needed by package samba-3.0.33-3.29.el5_6.2.i386 (updates)
You could try using –skip-broken to work around the problem
You could try running: package-cleanup –problems
package-cleanup –dupes
rpm -Va –nofiles –nodigest
The program package-cleanup is found in the yum-utils package.


I have been working on a Centos server and getting the same error when trying to install Samba server. I tried searching many online forums and help documents but could not find the package to install to remove dependency errors.

At last after searching for about 5 hours and trying various packages and commands i found the right package to be installed.

So, here are the two commands which can help you save lots of time.

wget http://packages.sw.be/perl-Convert-ASN1/perl-Convert-ASN1-0.22-1.el5.rfx.noarch.rpm

rpm -Uvh perl-Convert-ASN1-0.22-1.el5.rfx.noarch.rpm

So, just try the above commands and you can remove the dependency.

Thanks for visiting. Hope you like the posts.

centos5

Samba-Schema